SoDirectionalLight(3IV)

NAME
SoDirectionalLight — node representing a directional light source

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoLight > SoDirectionalLight

SYNOPSIS
#include <Inventor/nodes/SoDirectionalLight.h>

Fields from class SoDirectionalLight:

SoSFVec3f
direction

Fields from class SoLight:

SoSFBool
on
SoSFFloat
intensity
SoSFColor
color

Methods from class SoDirectionalLight:

SoDirectionalLight()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a directional light source that illuminates along rays parallel to a given 3-dimensional vector.

FIELDS
SoSFVec3f
direction
Illumination direction vector.

METHODS

SoDirectionalLight()
Creates a directional light source node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction
Activates this light (if so specified) during traversal. All shape nodes that come after this light in the scene graph are illuminated by this light. The light's direction is affected by the current transformation.

FILE FORMAT/DEFAULTS
DirectionalLight {
on	TRUE
intensity	1
color	1 1 1
direction	0 0 -1
}

SEE ALSO
SoPointLight, SoSpotLight